Memory Stores
Create a memory item
Creates a memory item in the specified memory store.
Rubrikparametrar
Foundry-Features
enum
krävs
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Sökvägsparametrar
name
string
krävs
The name of the memory store.
Frågeparametrar
api-version
string
krävs
The API version to use for this operation.
Begärandetext
scope
string
krävs
The namespace that logically groups and isolates memories, such as a user ID.
content
string
krävs
The content of the memory.
kind
string | enum
krävs
Memory item kind.
enum
Svar
The request has succeeded.
Brödtext
user_profile
UserProfileMemoryItem
A memory item specifically containing user profile information extracted from conversations, such as preferences, interests, and personal details.
kind
enum
krävs
The kind of the memory item.
chat_summary
ChatSummaryMemoryItem
A memory item containing a summary extracted from conversations.
kind
enum
krävs
The kind of the memory item.
procedural
ProceduralMemoryItem
A memory item containing a procedure extracted from conversations.
kind
enum
krävs
The kind of the memory item.
Förfrågan
POST /memory_stores/{name}/items HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json